Announcement

Collapse
No announcement yet.

NVIDIA Updates Legacy 470 & 390 Series Linux Drivers, New Bump For 510 Series

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • NVIDIA Updates Legacy 470 & 390 Series Linux Drivers, New Bump For 510 Series

    Phoronix: NVIDIA Updates Legacy 470 & 390 Series Linux Drivers, New Bump For 510 Series

    While not as exciting as last week's NVIDIA 515 series Linux driver that kicks off their open-source Linux kernel driver effort, but today they issued a minor point release for the current stable 510 series as well as updating their prior legacy driver branches...

    https://www.phoronix.com/scan.php?pa...-16-2022-Linux

  • #2
    Michael Looks like a typo her "With today's NVIDIA 570.73.05 Linux driver". It should be 510?

    Comment


    • #3
      Originally posted by vb_linux View Post
      Michael Looks like a typo her "With today's NVIDIA 570.73.05 Linux driver". It should be 510?
      Nah, Nvidia decided to join the Chrome and Firefox competition of who can release the highest version number in the shortest amount of time.

      Comment


      • #4
        Originally posted by Vistaus View Post

        Nah, Nvidia decided to join the Chrome and Firefox competition of who can release the highest version number in the shortest amount of time.
        Have you seen the inflation figures at the moment, everything is going up rapidly ?

        Comment


        • #5
          Sadly Geforce 8xxx till Geforce 3xx is still series 340.1080, the 390.151 series is actually only about Geforce 4xx-5xx...

          Comment


          • #6
            NVIDIA has released its security bulletin for May 2022: https://nvidia.custhelp.com/app/answ...tail/a_id/5353

            There are several high profile vulnerabilities! Updating to their latest drivers is recommended! Not a word on their Linux/Unix forums

            Comment


            • #7
              Originally posted by birdie View Post
              NVIDIA has released its security bulletin for May 2022: https://nvidia.custhelp.com/app/answ...tail/a_id/5353

              There are several high profile vulnerabilities! Updating to their latest drivers is recommended! Not a word on their Linux/Unix forums
              Reading through the vulnerabilities, it seems that half of them is related to memory (NULL dereference, out-of-bound, use-after-free).

              It might be interesting to see drivers (not necessary nvidia GPU) written in Rust and see whether it can reduce these bugs.

              Comment


              • #8
                Originally posted by Slartifartblast View Post

                Have you seen the inflation figures at the moment, everything is going up rapidly ?
                Not just seen 'em, I also feel 'em. Inflation is currently pretty bad in my country.

                Comment


                • #9
                  I wonder if they will also refresh Windows 472 to include 3050.

                  Comment

                  Working...
                  X